JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const destination = await client.v1.events.dataExport.destinations.update('x', {
enabledModels: ['x'],
integrationId: 'x',
});
console.log(destination.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
destination = client.v1.events.data_export.destinations.update(
destination_id="x",
enabled_models=["x"],
integration_id="x",
)
print(destination.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
destination, err := client.V1.Events.DataExport.Destinations.Update(
context.TODO(),
"x",
stigg.V1EventDataExportDestinationUpdateParams{
EnabledModels: []string{"x"},
IntegrationID: "x",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", destination.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.events.dataexport.destinations.DestinationUpdateParams;
import io.stigg.models.v1.events.dataexport.destinations.DestinationUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
DestinationUpdateParams params = DestinationUpdateParams.builder()
.destinationId("x")
.addEnabledModel("x")
.integrationId("x")
.build();
DestinationUpdateResponse destination = client.v1().events().dataExport().destinations().update(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
destination = stigg.v1.events.data_export.destinations.update("x", enabled_models: ["x"], integration_id: "x")
puts(destination)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Events.DataExport.Destinations;
StiggClient client = new();
DestinationUpdateParams parameters = new()
{
DestinationID = "x",
EnabledModels =
[
"x"
],
IntegrationID = "x",
};
var destination = await client.V1.Events.DataExport.Destinations.Update(parameters);
Console.WriteLine(destination);stigg v1:events:data-export:destinations update \
--api-key 'My API Key' \
--destination-id x \
--enabled-model x \
--integration-id xcurl --request PATCH \
--url https://api.stigg.io/api/v1/data-export/destinations/{destinationId} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"integrationId": "<string>",
"enabledModels": [
"<string>"
]
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/data-export/destinations/{destinationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'integrationId' => '<string>',
'enabledModels' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"destinations": [
{
"type": "snowflake",
"connectedAt": "2026-06-04T12:00:00.000Z",
"destinationId": "dst_9f2a1c7b3e4d",
"connectionStatus": "connected",
"lastSyncStatus": {
"transferId": "transfer_4b8e2d1a",
"status": "SUCCEEDED",
"finishedAt": "2026-06-04T12:30:00.000Z",
"rowsTransferred": 1284
},
"enabledModels": []
}
]
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Data Export
Update data-export destination selection
Update a destination’s entity selection. Pushes the new enabled_models to the provider first, then persists the selection. Applies on the next scheduled transfer.
PATCH
/
api
/
v1
/
data-export
/
destinations
/
{destinationId}
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const destination = await client.v1.events.dataExport.destinations.update('x', {
enabledModels: ['x'],
integrationId: 'x',
});
console.log(destination.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
destination = client.v1.events.data_export.destinations.update(
destination_id="x",
enabled_models=["x"],
integration_id="x",
)
print(destination.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
destination, err := client.V1.Events.DataExport.Destinations.Update(
context.TODO(),
"x",
stigg.V1EventDataExportDestinationUpdateParams{
EnabledModels: []string{"x"},
IntegrationID: "x",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", destination.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.events.dataexport.destinations.DestinationUpdateParams;
import io.stigg.models.v1.events.dataexport.destinations.DestinationUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
DestinationUpdateParams params = DestinationUpdateParams.builder()
.destinationId("x")
.addEnabledModel("x")
.integrationId("x")
.build();
DestinationUpdateResponse destination = client.v1().events().dataExport().destinations().update(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
destination = stigg.v1.events.data_export.destinations.update("x", enabled_models: ["x"], integration_id: "x")
puts(destination)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Events.DataExport.Destinations;
StiggClient client = new();
DestinationUpdateParams parameters = new()
{
DestinationID = "x",
EnabledModels =
[
"x"
],
IntegrationID = "x",
};
var destination = await client.V1.Events.DataExport.Destinations.Update(parameters);
Console.WriteLine(destination);stigg v1:events:data-export:destinations update \
--api-key 'My API Key' \
--destination-id x \
--enabled-model x \
--integration-id xAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
Provider destination ID to update
Required string length:
1 - 255Body
application/json
Update a destination's entity selection and push it to the provider.
Response
Current list of destinations under the DATA_EXPORT integration.
Response object
Current destinations under the DATA_EXPORT integration.
Show child attributes
Show child attributes
⌘I
